[package]
name = "git"
version.workspace = true
edition.workspace = true
authors.workspace = true
description.workspace = true
repository.workspace = true
readme.workspace = true
homepage.workspace = true
license.workspace = true
keywords.workspace = true
categories.workspace = true
documentation.workspace = true
[lib]
path = "lib.rs"
name = "git"
[dependencies]
git2 = { workspace = true, features = [] }
git2-hooks = { workspace = true, features = [] }
git2-ext = { workspace = true, features = [] }
serde = { workspace = true, features = ["derive"] }
serde_json = { workspace = true }
tar = { workspace = true }
flate2 = { workspace = true }
zip = { workspace = true }
globset = { workspace = true }
models = { workspace = true }
db = { workspace = true }
deadpool-redis = { workspace = true, features = ["rt_tokio_1", "cluster-async", "cluster"] }
config = { workspace = true }
slog = { workspace = true }
tokio = { workspace = true, features = ["sync", "rt", "process"] }
tokio-util = { workspace = true }
qdrant-client = { workspace = true }
redis = { workspace = true }
uuid = { workspace = true, features = ["v4"] }
sea-orm = { workspace = true, features = ["macros"] }
chrono = { workspace = true }
sysinfo = { workspace = true }
num_cpus = { workspace = true }
futures = { workspace = true }
russh = { workspace = true, features = ["legacy-ed25519-pkcs8-parser"] }
anyhow = { workspace = true }
base64 = { workspace = true }
sha1 = { workspace = true }
sha2 = { workspace = true }
futures-util = { workspace = true }
async-stream = { workspace = true }
ssh-key = { workspace = true }
actix-web = { workspace = true }
hex = "0.4.3"
reqwest = { workspace = true }
[lints]
workspace = true
